Eina_Value to/from Message

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Eina_Value to/from Message
Eldbus » Message

## Functions
EINA_API Eina_Value_Struct_Desc * | eina_value_util_struct_desc_new (void)
| Creates a basic Eina_Value struct desc with refcounting.
EINA_API Eina_Value * | eina_value_util_time_string_new (const char *timestr)
| Creates a new Eina_Value containing the passed parameter.
Eina_Value * | eldbus_message_to_eina_value (const Eldbus_Message *msg)
| Convert Eldbus_Message to Eina_Value.
Eina_Value * | eldbus_message_iter_struct_like_to_eina_value (const Eldbus_Message_Iter *iter)
| Convert Eldbus_Message_Iter of type variant, struct or dict entry to Eina_Value.
Eina_Bool | eldbus_message_from_eina_value (const char *signature, Eldbus_Message *msg, const Eina_Value *value)
| Convert Eina_Value to Eldbus_Message.

## Detailed Description

## Function Documentation

## ◆ eina_value_util_struct_desc_new()

EINA_API Eina_Value_Struct_Desc * eina_value_util_struct_desc_new | ( | void |  | ) |

Creates a basic Eina_Value struct desc with refcounting.

Returns
  The Eina_Value_Struct_Desc on success, `NULL` on failure

Since
  1.12

References EINA_SAFETY_ON_NULL_RETURN_VAL, and EINA_VALUE_STRUCT_DESC_VERSION.

## ◆ eina_value_util_time_string_new()

EINA_API Eina_Value * eina_value_util_time_string_new | ( | const char * | timestr | ) |

Creates a new Eina_Value containing the passed parameter.

Parameters

  [in] | timestr | The value to use

Returns
  The Eina_Value

Since
  1.12

References eina_value_new(), EINA_VALUE_TYPE_TIMESTAMP, and strptime().

## ◆ eldbus_message_to_eina_value()

Eina_Value * eldbus_message_to_eina_value | ( | const Eldbus_Message * | msg | ) |

Convert Eldbus_Message to Eina_Value.

Parameters

  msg | Message

Returns
  Eina_Value of type Eina_Value_Type_Struct

Examples
  complex-types-client-eina-value.c.

References EINA_SAFETY_ON_FALSE_RETURN_VAL, EINA_SAFETY_ON_NULL_RETURN_VAL, and eldbus_message_iter_get().

## ◆ eldbus_message_iter_struct_like_to_eina_value()

Eina_Value * eldbus_message_iter_struct_like_to_eina_value | ( | const Eldbus_Message_Iter * | iter | ) |

Convert Eldbus_Message_Iter of type variant, struct or dict entry to Eina_Value.

Parameters

  iter | Message iterator

Returns
  Eina_Value of type Eina_Value_Type_Struct

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## ◆ eldbus_message_from_eina_value()

Eina_Bool eldbus_message_from_eina_value | ( | const char * | signature,
|  | Eldbus_Message * | msg,
|  | const Eina_Value * | value
| ) |  |

Convert Eina_Value to Eldbus_Message.

Parameters

  signature | dbus signature
  msg | where data will be put
  value | source of data, must be of type Eina_Value_Type_Struct

Returns
  success or not

Examples
  complex-types-client-eina-value.c.

References EINA_FALSE, EINA_SAFETY_ON_FALSE_RETURN_VAL, EINA_SAFETY_ON_NULL_RETURN_VAL, and eldbus_message_iter_get().